%define ROOT /usr/gedi

Summary: GeDI System Setup
Name: gedi
Packager: Makia Minich <makia@llnl.gov>
License: GPL
Version: 0.5.0
Release: 6
Group: Applications/Devel
BuildArch: noarch
Prefix: %{ROOT}

Source0: %{name}-%{version}-%{release}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This is the tools needed to set up a diskless system.

%package client
Summary: GeDI Client Utils
Group: Applications/Devel

%description client
This should be installed inside of your image, provides ability to make a
ramdisk and some other stuff.

%changelog
* Wed Jan 22 2003 Makia Minich <makia@llnl.gov>
- Created this rpm

%prep
%setup -q -n %{name}-%{version}

%build
make -C doc

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf $RPM_BUILD_ROOT

for dir in local nfsroot patches pxelinux.cfg RPMS scripts tools lib ; do
   mkdir -p -m 0755 ${RPM_BUILD_ROOT}%{ROOT}/$dir
   if [ -d "$dir" ] ; then
      cp -a $dir ${RPM_BUILD_ROOT}%{ROOT}
   fi
done
ln -sf config_services ${RPM_BUILD_ROOT}%{ROOT}/tools/MAC_Update

# etc files
mkdir -p -m 0755 ${RPM_BUILD_ROOT}/etc/gedi
cp etc/* ${RPM_BUILD_ROOT}/etc/gedi

# And now for the client files
mkdir -p -m 0755 ${RPM_BUILD_ROOT}/usr/lib/gedi
mkdir -p -m 0755 ${RPM_BUILD_ROOT}/usr/lib/unionfs
mkdir -p -m 0755 ${RPM_BUILD_ROOT}/sbin
mkdir -p -m 0755 ${RPM_BUILD_ROOT}/etc/sysconfig
mkdir -p -m 0755 ${RPM_BUILD_ROOT}/boot/pxe

install -m 755 pxelinux.0 ${RPM_BUILD_ROOT}/boot/pxe/
install -m 700 client/image/linuxrc ${RPM_BUILD_ROOT}/
install -m 644 client/image/init ${RPM_BUILD_ROOT}/usr/lib/gedi/
install -m 644 client/image/readonly-root ${RPM_BUILD_ROOT}/etc/sysconfig/
install -m 755 client/image/rc.readonly ${RPM_BUILD_ROOT}/etc/
install -m 755 client/scripts/create_union_rpm ${RPM_BUILD_ROOT}/usr/lib/gedi/
install -m 755 client/scripts/update_pxe_files \
   ${RPM_BUILD_ROOT}/usr/lib/gedi/
install -m 755 client/scripts/mkinitrd_gedi ${RPM_BUILD_ROOT}/sbin/
./create_variable > ${RPM_BUILD_ROOT}/etc/sysconfig/gedi
cp -a client/src/* ${RPM_BUILD_ROOT}/usr/lib/unionfs/
cp -a lib/gedi_libs.sh ${RPM_BUILD_ROOT}/usr/lib/gedi/

%post
perl -pi -e "s,^ROOTDIR=.*,ROOTDIR=\"${RPM_INSTALL_PREFIX}\"," \
     /etc/gedi/variables

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc examples
%doc doc/gedi_documentation.tex
%doc doc/gedi_documentation.pdf
%doc ChangeLog
%config(noreplace) /etc/gedi/MAC.info
%config(noreplace) /etc/gedi/variables
%config(noreplace) /etc/gedi/update_exclude
%config(noreplace) %{ROOT}/local/fstab
%config(noreplace) %{ROOT}/local/local.conf
%{ROOT}/patches
%{ROOT}/nfsroot
%{ROOT}/pxelinux.cfg
%{ROOT}/RPMS
%{ROOT}/scripts
%{ROOT}/tools
%{ROOT}/lib

%files client
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/gedi
%config(noreplace) /linuxrc
%config(noreplace) /etc/sysconfig/readonly-root
%config(noreplace) /etc/rc.readonly
/usr/lib/gedi
/usr/lib/unionfs
/sbin/mkinitrd_gedi
/boot/pxe
